HttpRequest::setMethod
HttpRequest::setPostFields
The HttpRequest
PHP Manual

# HttpRequest::setOptions

(PECL pecl_http >= 0.10.0)

HttpRequest::setOptions — Set options

### Descrição

public bool HttpRequest::setOptions ([ array `$options` ] )

Set the request options to use.

Veja a lista completa de opções da requisição.

### Parâmetros

`options`

  an associative array, which values will overwrite the currently set request options; if empty or omitted, the options of the HttpRequest object will be reset

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

HttpRequest::setMethod
HttpRequest::setPostFields
The HttpRequest
PHP Manual